package de.intevation.flys.artifacts.states.minfo;

import org.apache.log4j.Logger;

import de.intevation.artifacts.Artifact;

import de.intevation.flys.artifacts.FLYSArtifact;

import de.intevation.flys.artifacts.access.SedimentLoadAccess;
import de.intevation.flys.artifacts.states.DefaultState;


public class SedimentLoadYearSelect
extends DefaultState
{
    /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(SedimentLoadYearSelect.class);


    /**
     * The default constructor that initializes an empty State object.
     */
    public SedimentLoadYearSelect() {
    }

    @Override
    protected String getUIProvider() {
        return "minfo.sedimentload_year_select";
    }


    @Override
    public boolean validate(Artifact artifact)
    throws IllegalArgumentException
    {
        SedimentLoadAccess access = new SedimentLoadAccess((FLYSArtifact) artifact, null);

        // Second year should be later than first.
        if (access.getPeriod()[1] < access.getPeriod()[0])
           throw new IllegalArgumentException("error_years_wrong");

        return true;
    }
}
